Skip to content
Start here

Lists target industries across multiple datasets

cloudforce_one.threat_events.target_industries.list(TargetIndustryListParams**kwargs) -> TargetIndustryListResponse
GET/accounts/{account_id}/cloudforce-one/events/targetIndustries

Lists target industries across multiple datasets

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str

Account ID.

dataset_ids: Optional[SequenceNotStr[str]]

Array of dataset IDs to query target industries from. If not provided, uses the default dataset.

ReturnsExpand Collapse
class TargetIndustryListResponse:
items: Items
type: str
type: str

Lists target industries across multiple datasets

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
target_industries = client.cloudforce_one.threat_events.target_industries.list(
    account_id="account_id",
)
print(target_industries.items)
{
  "items": {
    "type": "string"
  },
  "type": "array"
}
Returns Examples
{
  "items": {
    "type": "string"
  },
  "type": "array"
}